[
https://issues.apache.org/jira/browse/HADOOP-19518?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17942426#comment-17942426
]
ASF GitHub Bot commented on HADOOP-19518:
-----------------------------------------
anmolanmol1234 commented on code in PR #7564:
URL: https://github.com/apache/hadoop/pull/7564#discussion_r2037038035
##########
hadoop-tools/hadoop-azure/dev-support/testrun-scripts/configsupport.sh:
##########
@@ -0,0 +1,157 @@
+#!/usr/bin/env bash
+
+set -eo pipefail
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+FILE=$1
+
+if [ ! -f "$FILE" ]; then
Review Comment:
One overall suggestion would be to break down the different operations into
functions, as we have lot going into the script. Some suggestion would be like
check_dependencies() { ... }
validate_input_file() { ... }
prompt_namespace_type() { ... }
rename_configurations() { ... }
remove_obsolete_configs() { ... }
handle_defaultFS_endpoint() { ... }
> ABFS: [FnsOverBlob] WASB to ABFS Migration Config Support Script
> ----------------------------------------------------------------
>
> Key: HADOOP-19518
> URL: https://issues.apache.org/jira/browse/HADOOP-19518
> Project: Hadoop Common
> Issue Type: Sub-task
> Components: fs/azure
> Affects Versions: 3.4.0, 3.4.1
> Reporter: Manika Joshi
> Assignee: Manika Joshi
> Priority: Major
> Labels: pull-request-available
>
> The legacy WASB driver has been deprecated and is no longer recommended for
> use. To support customer onboard for migration from WASB to ABFS driver,
> we've introduced a script to help with the configuration changes required for
> the same.
> The script requires the configuration file (in XML format) used for WASB and
> would generate configuration file required for ABFS driver respectively.
--
This message was sent by Atlassian Jira
(v8.20.10#820010)
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]